#Command file for Mgraph to generate PostScript plots

#The sign # comments the line
#Square brackets ([...]) indicate that the enclosed element is optional
#Quotes ("...") are used around literal characters
#The sign \ joins the line with the next line
#Set up and uncomment the ReadFile and the SendToFile/SendToPrinter lines
#Mgraph -help  provides a description of the command file

#Color  options: Red Blue Magenta Black Green Forest Sienna Yellow
#               Coral Violet Plum Cyan Turquoise Whitel
#Line   options: Solid NoLine MicroDash  SmallDash Dash LongDash Dashdot LineDot
#Marker options: NoMark  BigDot SmallDot Cross X
#                Square  Diamond  TriangleUp  TriangleDown  Circle
#               FSquare FDiamond FTriangleUp FTriangleDown FCircle


#Verbose

#WindowSize Width=580 Height=551
#SetPaper   [A4 | A3 | B5 | USLETTER | USLEGAL]
#LineJoin   [Round|Sharp]
AddLogo     XStart=1.000 YStart=2.700 XScale=0.140 YScale=0.140


#############################################################

ReadBinSurface File="DATA/Altitude1620x810" DataType=16bitsigned  Ncolumns=1620 Nlines=810 Cutmin= 0 Cutmax= 1000  UndefValue=8421   Zmin=-1 Zmax=-1

PlotTitle     Title="Altitude (POLDER N1)        " Height=1.00
Grid          Frame=Yes   Xgrid=No       Ygrid=No  [Yes | Light | No] 
#ScaleToFrame
#BE CAREFUL!! Xmin, Xmax, Ymin and Ymax allows a surface rescale 
SurfaceGeometry Xmin=-180 Xmax=180 Ymin=-90 Ymax=90    DistanceFactor=1 XYRatio=1 Interpolation=No
ContourDef  [Smooth=Yes|No]  BackGround=Transp [White] ForeGround=Undef [Undef|White|Black]\
	IdealDistance=1 Size=1 CFormat="%.3g" 

DrawContour Value=0 Color=Red        LineStyle=Solid      MarkStyle=NoMark         Label=No
DrawContour Value=100 Color=Blue       LineStyle=Solid      MarkStyle=NoMark         Label=No
DrawContour Value=200 Color=Magenta    LineStyle=Solid      MarkStyle=NoMark         Label=No
DrawContour Value=300 Color=Black      LineStyle=Solid      MarkStyle=NoMark         Label=No
DrawContour Value=400 Color=Green      LineStyle=Solid      MarkStyle=NoMark         Label=No
DrawContour Value=500 Color=Forest     LineStyle=Solid      MarkStyle=NoMark         Label=No
DrawContour Value=600 Color=Sienna     LineStyle=Solid      MarkStyle=NoMark         Label=No
DrawContour Value=700 Color=Yellow     LineStyle=Solid      MarkStyle=NoMark         Label=No
DrawContour Value=800 Color=Coral      LineStyle=Solid      MarkStyle=NoMark         Label=No
DrawContour Value=900 Color=Violet     LineStyle=Solid      MarkStyle=NoMark         Label=No
DrawContour Value=1000 Color=Plum       LineStyle=Solid      MarkStyle=NoMark         Label=No

SurfaceLUT          LutNumber=9
ColorScale	Mode=Boxes [|Linear]	XStart=82.6159% YStart=67.7083% XEnd=87.2517% YEnd=95.8333% Min=0 Max=255  \
	Color=Black Position=DownRight NoTick=No CFormat="%.0fm" Size=1 \
	List= 0 0 200 200 400 400 600 600 800 800 1000 1000
AddObject        Surface      [Region Surface Dots Triangles]

XTitle        Title=" " Height=1.00
XAxis         Scale=Linear    Min=-37.97    Max=75.53  Delta=-1
XLabel        LabelStep=-1   Reference=-1   LabelHeight=1.00   CFormat="%.0f^o"
YTitle        Title="             " Height=2.00
YAxis         Scale=Linear    Min=-43.23    Max=45.55    Delta=-1
YLabel        LabelStep=-1    Reference=-1   LabelHeight=1.00   CFormat="%.0f^o"


SendTo[EPS]File     File="OUT/Altitude.ps"  Type=Color   Size=15.0000  Copies=1 Orientation=Portrait
#SendToPrinter  Command="/usr/LOA/bin/vidpsLEX"  Type=Color   Size=19.0000  Copies=1 Orientation=Portrait
