#Command file for Mgraph to generate PostScript plots

#The sign # comments the line
#Square brackets ([...]) indicate that the enclosed element is optional
#Quotes ("...") are used around literal characters
#The sign \ joins the line with the next line
#Set up and uncomment the ReadFile and the SendToFile/SendToPrinter lines
#Mgraph -help  provides a description of the command file

#Color  options: Red Blue Magenta Black Green Forest Sienna Yellow
#               Coral Violet Plum Cyan Turquoise Whitel
#Line   options: Solid NoLine MicroDash  SmallDash Dash LongDash Dashdot LineDot
#Marker options: NoMark  BigDot SmallDot Cross X
#                Square  Diamond  TriangleUp  TriangleDown  Circle
#               FSquare FDiamond FTriangleUp FTriangleDown FCircle


#Verbose

#WindowSize Width=580 Height=549
#SetPaper   [A4 | A3 | B5 | USLETTER | USLEGAL]
#LineJoin   [Round|Sharp]
AddLogo     XStart=1.000 YStart=2.700 XScale=0.140 YScale=0.140


#############################################################

ReadBinSurface File="DATA/garfdre.gif" DataType=TiffGif  UndefValue=-8421  

PlotTitle     Title="x*cosd(y) Projection" Height=1.00
Grid          Frame=Yes   Xgrid=No       Ygrid=No  [Yes | Light | No] 
#ScaleToFrame
#BE CAREFUL!! Xmin, Xmax, Ymin and Ymax allows a surface rescale 
SurfaceGeometry Xmin=-180 Xmax=180 Ymin=-90 Ymax=90    DistanceFactor=1 XYRatio=1 Interpolation=Yes
ContourDef  [Smooth=Yes|No]  BackGround=Transp [White] ForeGround=Black [Undef|White|Black]\
	IdealDistance=1 Size=1 CFormat="%.3g" 
SurfaceStretch	        Zmin=0 Zmax=8 FirstLevel=0 LastLevel=8
AddObject        Surface      [Region Surface Dots Triangles]

Formula Min=-180 Max=180 Npoints=200 Formula="y=cosd(x)*90"
Formula Min=-180 Max=180 Npoints=200 Formula="y=sind(x)*90"

LineStyle     Curve=1   Style=MicroDash       Color=Magenta      Thickness=4
LineStyle     Curve=2   Style=SmallDash       Color=Green        Thickness=2

XTitle        Title="         " Height=1.00
XAxis         Scale=Formula Formula="x*cosd(y)"    Min=-180    Max=180  Delta=-1  Label=No
YTitle        Title="          " Height=1.00
YAxis         Scale=Linear    Min=-90    Max=90.    Delta=-1   
YLabel        LabelStep=-1    Reference=-1   LabelHeight=1.00   CFormat="%.0f"


SendToFile     File="./OUT/ImageGif.ps"  Type=Color 
