#Command file for Mgraph to generate PostScript plots

#The sign # comments the line
#Square brackets ([...]) indicate that the enclosed element is optional
#Quotes ("...") are used around literal characters
#The sign \ joins the line with the next line
#Set up and uncomment the ReadFile and the SendToFile/SendToPrinter lines
#Mgraph -help  provides a description of the command file

#Color  options: Red Blue Magenta Black Green Forest Sienna Yellow
#               Coral Violet Plum Cyan Turquoise Whitel
#Line   options: Solid NoLine MicroDash  SmallDash Dash LongDash Dashdot LineDot
#Marker options: NoMark  BigDot SmallDot Cross X
#                Square  Diamond  TriangleUp  TriangleDown  Circle
#               FSquare FDiamond FTriangleUp FTriangleDown FCircle


#Verbose

WindowSize Width=1066 Height=571
#SetPaper   [A4 | A3 | B5 | USLETTER | USLEGAL]
#LineJoin   [Round|Sharp]
SetSignature	"L.O.A. Computer Team"
#AddLogo     File="/SYS/chris/.Mgraph/loaloaNG.eps"  XStart=1.000 YStart=3.000 XScale=1.000 YScale=1.000


#############################################################

ReadSurface      File="DATA/CONTDELT" Mode=IRREGULAR  \
	Ncolumns=5 Nlines=4096  LinesToSkip=0 Xcolumn=1 Ycolumn=2 Zcolumn=5   MissingValue=999 DistanceFactor=1.8 

PlotTitle     Title="@encore mieux SAGE DF + volcans" Height=1.00
Grid          Frame=Yes   Xgrid=No       Ygrid=No  [Yes | Light | No] 
ScaleToFrame

#Formula       Min=0   Max=0   Npoints=0   Formula="x4=x1*1000"

#BE CAREFUL!! Xmin, Xmax, Ymin and Ymax allows a surface rescale 
#REMOVE Square brackets if you use optional limits 
SurfaceGeometry [Xmin=1 Xmax=4654 Ymin=-75 Ymax=75]    DistanceFactor=1.8 XYRatio=10 NearestPixelInterpolation=No
SurfaceLUT          File="USER_LUTS/colbili.V"
##ContourDef  [Smooth=Yes|No]  BackGround=Transp [White] ForeGround=Undef [Undef|White|Black]\
##	IdealDistance=1 Size=1 CFormat="%.3g" 
SurfaceStretch	        Zmin=-6 Zmax=-0.01 FirstLevel=0 LastLevel=255
AddObject        Surface      [Region Surface Dots Triangles]
ColorScale	Mode=Boxes [|Linear]	XStart=14.9446% YStart=-12.1086% XEnd=102.03% YEnd=-8.14196% Min=0 Max=255  \
	Color=Black Position=DownRight NoTick=Yes CFormat="%.1f" Size=1 \
	List= -5.5 "      -5" -4.5 "      " -3.5 "      -3 " -2.5 "      " -1.5 "      -1" -0.75 "      -0.5" -0.48 "  " -0.43 "      -0.4" -0.39 " " -0.34 "      -0.3" -0.27 " " -0.22 "      -0.2  " -0.17 " " -0.12 "     -0.1"

YTitle        Title="Latitude" Height=1.60
YAxis Show=Yes     Scale=Degree    Min=-75    Max=75    Delta=5  Color=Black  Thickness=1  
YLabel        LabelStep=3    Reference=-1   LabelHeight=0.80   CFormat="%.0f^o"  Angle=0.0


#   ********  Annotations ********  
PlotAxis  Location=TOP    Scale=Linear  Min=84.901  Max=97.637  Delta=0.5  \
	Color=Black  Thickness=1 Title=""  TitleHeight=1.60\
	LabelStep=0 Reference=-1  LabelHeight=0.80 CFormat="%.0f" Angle=0.0
PlotAxis  Location=BOTTOM Scale=Linear  Min=84.901  Max=97.637  Delta=0.5  \
	Color=Black  Thickness=1 Title="Year"  TitleHeight=1.60\
	LabelStep=2 Reference=-1  LabelHeight=0.80 CFormat="%.0f" Angle=0.0
PlotText     XStart=51.85%  YStart=-18.12%   Color=Black Style=Plain  Height=1.00 Angle=0.00  Text="$D F (W.m^{-2})"
PlotMark     XStart=51.66%  YStart=37.36%   Color==Black   Style=Fcircle  Size=5
PlotText     XStart=50.00%  YStart=39.60%   Color=Black Style=Plain  Height=1.10 Angle=0.00  Text="Pinatubo"
PlotMark     XStart=7.38%  YStart=43.62%   Color==Black   Style=Fdiamond  Size=5
PlotText     XStart=7.93%  YStart=45.64%   Color=Black Style=Plain  Height=1.10 Angle=0.00  Text="Ruiz"
PlotMark     XStart=41.33%  YStart=51.68%   Color==Black   Style=FtriangleUp  Size=5
PlotText     XStart=38.01%  YStart=45.64%   Color=Black Style=Plain  Height=1.10 Angle=0.00  Text="Kelut"
#   ********  Annotations: End ********  


SendTo[EPS]File   File="OUT/Pina.ps"  Type=Color  Orientation=Landscape
#SendToPrinter  Command="/usr/LOA/bin/vidpsLEX"  Type=Color  Size=15.0000 SquareFrame=No  Copies=1 Orientation=Portrait
