#Command file for Mgraph to generate PostScript plots

#The sign # comments the line
#Square brackets ([...]) indicate that the enclosed element is optional
#Quotes ("...") are used around literal characters
#The sign \ joins the line with the next line
#Set up and uncomment the ReadFile and the SendToFile/SendToPrinter lines
#Mgraph -help  provides a description of the command file

#Color  options: Red Blue Magenta Black Green Forest Sienna Yellow
#               Coral Violet Plum Cyan Turquoise Whitel
#Line   options: Solid NoLine MicroDash  SmallDash Dash LongDash Dashdot LineDot
#Marker options: NoMark  BigDot SmallDot Cross X
#                Square  Diamond  TriangleUp  TriangleDown  Circle
#               FSquare FDiamond FTriangleUp FTriangleDown FCircle


#Verbose

#WindowSize Width=0 Height=0
#SetPaper   [A4 | A3 | B5 | USLETTER | USLEGAL]
#LineJoin   [Round|Sharp]
#SetSignature	"L.O.A. Computer Team"
#AddLogo    XStart=0.000 YStart=0.000 XScale=-1.000 YScale=0.000


#############################################################

ReadSurface      File="DATA/sioh120.dat" Mode=IRREGULAR  \
	Ncolumns=5 Nlines=69  LinesToSkip=0 Xcolumn=1 Ycolumn=2 Zcolumn=3  \
	UndefValue=-8421 Zmin=-1 Zmax=-1

PlotTitle     Title="Region distance factor = 1" Height=1.00
Grid          Frame=Yes   Xgrid=No       Ygrid=No  [Yes | Light | No] 
#ScaleToFrame

#Formula       Min=0   Max=0   Npoints=0   Formula="x4=x1*1000"

#BE CAREFUL!! Xmin, Xmax, Ymin and Ymax allows a surface rescale 
#REMOVE Square brackets if you use optional limits 
SurfaceGeometry [Xmin=1.4 Xmax=2.5 Ymin=0.9 Ymax=1.8]    DistanceFactor=1 XYRatio=1 NearestPixelInterpolation=No
ContourDef  [Smooth=Yes|No]  BackGround=Transp [White] ForeGround=Undef [Undef|White|Black]\
	IdealDistance=1 Size=1 CFormat="%.3g" 
AddObject      Region Surface Dots Triangles  [Region Surface Dots Triangles]
LineStyle     Curve=1   Style=Solid           Color=Magenta      Thickness=6
MarkStyle     Curve=1   Style=NoMark          Size=6
LineStyle     Curve=2   Style=NoLine          Color=Red          Thickness=1
MarkStyle     Curve=2   Style=Fcircle         Size=4
LineStyle     Curve=3   Style=Solid           Color=Green        Thickness=2
MarkStyle     Curve=3   Style=NoMark          Size=3
SurfaceLUT          LutNumber=6

XTitle        Title="" Height=1.00
XAxis Show=Yes     Scale=Linear    Min=1.4    Max=2.5  Delta=-1  Color=Black  Thickness=1  
XLabel        LabelStep=-1   Reference=-1   LabelHeight=1.00   CFormat=""  Angle=0.0
YTitle        Title="" Height=1.00
YAxis Show=Yes     Scale=Linear    Min=0.9    Max=1.8    Delta=-1  Color=Black  Thickness=1  
YLabel        LabelStep=-1    Reference=-1   LabelHeight=1.00   CFormat=""  Angle=0.0

DrawCell     XStart=1.0000   YStart=5.0000   Width=8.0000   Height=8.0000\
	Type=Color   Orientation=Portrait  Mode=Margin[|ScaleToFrame] 

#############################################################

ReadSurface      File="DATA/sioh120.dat" Mode=IRREGULAR  \
	Ncolumns=5 Nlines=69  LinesToSkip=0 Xcolumn=1 Ycolumn=2 Zcolumn=3  \
	UndefValue=-8421 Zmin=-1 Zmax=-1

PlotTitle     Title="Region distance factor = 1.2" Height=1.00
Grid          Frame=Yes   Xgrid=No       Ygrid=No  [Yes | Light | No] 
#ScaleToFrame

#Formula       Min=0   Max=0   Npoints=0   Formula="x4=x1*1000"

#BE CAREFUL!! Xmin, Xmax, Ymin and Ymax allows a surface rescale 
#REMOVE Square brackets if you use optional limits 
SurfaceGeometry [Xmin=1.4 Xmax=2.5 Ymin=0.9 Ymax=1.8]    DistanceFactor=1.2 XYRatio=1 NearestPixelInterpolation=No
ContourDef  [Smooth=Yes|No]  BackGround=Transp [White] ForeGround=Undef [Undef|White|Black]\
	IdealDistance=1 Size=1 CFormat="%.3g" 
AddObject      Region Surface Dots Triangles  [Region Surface Dots Triangles]
LineStyle     Curve=1   Style=Solid           Color=Magenta      Thickness=6
MarkStyle     Curve=1   Style=NoMark          Size=6
LineStyle     Curve=2   Style=NoLine          Color=Red          Thickness=1
MarkStyle     Curve=2   Style=Fcircle         Size=4
LineStyle     Curve=3   Style=Solid           Color=Green        Thickness=2
MarkStyle     Curve=3   Style=NoMark          Size=3
SurfaceLUT          LutNumber=6

XTitle        Title="" Height=1.00
XAxis Show=Yes     Scale=Linear    Min=1.4    Max=2.5  Delta=-1  Color=Black  Thickness=1  
XLabel        LabelStep=-1   Reference=-1   LabelHeight=1.00   CFormat=""  Angle=0.0
YTitle        Title="" Height=1.00
YAxis Show=Yes     Scale=Linear    Min=0.9    Max=1.8    Delta=-1  Color=Black  Thickness=1  
YLabel        LabelStep=-1    Reference=-1   LabelHeight=1.00   CFormat=""  Angle=0.0

DrawCell     XStart=10.0000   YStart=5.0000   Width=8.0000   Height=8.0000\
	Type=Color   Orientation=Portrait  Mode=Margin[|ScaleToFrame] 

#############################################################

ReadSurface      File="DATA/sioh120.dat" Mode=IRREGULAR  \
	Ncolumns=5 Nlines=69  LinesToSkip=0 Xcolumn=1 Ycolumn=2 Zcolumn=3  \
	UndefValue=-8421 Zmin=-1 Zmax=-1

PlotTitle     Title="Region distance factor = 2" Height=1.00
Grid          Frame=Yes   Xgrid=No       Ygrid=No  [Yes | Light | No] 
#ScaleToFrame

#Formula       Min=0   Max=0   Npoints=0   Formula="x4=x1*1000"

#BE CAREFUL!! Xmin, Xmax, Ymin and Ymax allows a surface rescale 
#REMOVE Square brackets if you use optional limits 
SurfaceGeometry [Xmin=1.4 Xmax=2.5 Ymin=0.9 Ymax=1.8]    DistanceFactor=2 XYRatio=1 NearestPixelInterpolation=No
ContourDef  [Smooth=Yes|No]  BackGround=Transp [White] ForeGround=Undef [Undef|White|Black]\
	IdealDistance=1 Size=1 CFormat="%.3g" 
AddObject      Region Surface Dots Triangles  [Region Surface Dots Triangles]
LineStyle     Curve=1   Style=Solid           Color=Magenta      Thickness=6
MarkStyle     Curve=1   Style=NoMark          Size=6
LineStyle     Curve=2   Style=NoLine          Color=Red          Thickness=2
MarkStyle     Curve=2   Style=Fcircle         Size=4
LineStyle     Curve=3   Style=Solid           Color=Green        Thickness=2
MarkStyle     Curve=3   Style=NoMark          Size=3
SurfaceLUT          LutNumber=6

XTitle        Title="" Height=1.00
XAxis Show=Yes     Scale=Linear    Min=1.4    Max=2.5  Delta=-1  Color=Black  Thickness=1  
XLabel        LabelStep=-1   Reference=-1   LabelHeight=1.00   CFormat=""  Angle=0.0
YTitle        Title="" Height=1.00
YAxis Show=Yes     Scale=Linear    Min=0.9    Max=1.8    Delta=-1  Color=Black  Thickness=1  
YLabel        LabelStep=-1    Reference=-1   LabelHeight=1.00   CFormat=""  Angle=0.0

DrawCell     XStart=19.0000   YStart=5.0000   Width=8.0000   Height=8.0000\
	Type=Color   Orientation=Portrait  Mode=Margin[|ScaleToFrame] 
#############################################################

AddLogo     XStart=1.000 YStart=2.700 XScale=0.140 YScale=0.140
PageText    XStart=10.0000  YStart=3.0000   Color=Blue  Height=1.0000  Text="MGRAPH Contouring"
PageText    XStart=7.0000  YStart=16.0000   Color=Blue  Height=0.7000  Text="Effect of the value setting  of the Region Distance factor"
SendTo[EPS]File   File="OUT/SurfRegion.ps"  Type=Color    [Copies=1]   Orientation=Landscape
#SendToPrinter  Command="/usr/LOA/bin/vidpsLEX"  Type=Color   [Copies=1]   Orientation=Landscape
