#Command file for Mgraph to generate PostScript plots

#The sign # comments the line
#Square brackets ([...]) indicate that the enclosed element is optional
#Quotes ("...") are used around literal characters
#The sign \ joins the line with the next line
#Set up and uncomment the ReadFile and the SendToFile/SendToPrinter lines
#Mgraph -help  provides a description of the command file

#Color  options: Red Blue Magenta Black Green Forest Sienna Yellow
#               Coral Violet Plum Cyan Turquoise Whitel
#Line   options: Solid NoLine MicroDash  SmallDash Dash LongDash Dashdot LineDot
#Marker options: NoMark  BigDot SmallDot Cross X
#                Square  Diamond  TriangleUp  TriangleDown  Circle
#               FSquare FDiamond FTriangleUp FTriangleDown FCircle


#Verbose

#WindowSize Width=580 Height=549
#SetPaper   [A4 | A3 | B5 | USLETTER | USLEGAL]
#LineJoin   [Round|Sharp]
AddLogo     XStart=1.000 YStart=3.000 XScale=0.070 YScale=0.070


# Cellule 1:
#############################################################

ReadFile      File="DATA/TAUN35_00_30C443" Style=ScatterPlot XColumn=1  YColumn=5

Formula       Min=0 Max=1050 Npoints=100 Formula="y=0.0208*exp(-0.0016*(x-300))*(1+0.251*sin((x-300)*2*pi/365))"
Formula       Min=0 Max=1050 Npoints=100 Formula="y=0.0208*exp(-0.0016*(x-300))"

PlotTitle     Title="Bande de latitude 13: N35" Height=1.50
Grid          Frame=Yes   Xgrid=No       Ygrid=No  [Yes | Light | No] 
#ScaleToFrame
LineStyle     Curve=1   Style=NoLine          Color=Red          Thickness=1
MarkStyle     Curve=1   Style=Fcircle         Size=3
LineStyle     Curve=2   Style=Solid          Color=Blue          Thickness=1
LineStyle     Curve=3   Style=MicroDash          Color=Blue          Thickness=1

XTitle        Title="Jour" Height=1.50
XAxis         Scale=Linear    Min=0    Max=1050  Delta=30  
XLabel        LabelStep=3   Reference=0   LabelHeight=1.00   CFormat="%.f"
YTitle        Title="Epaisseur optique" Height=1.50
YAxis         Scale=Logarithm    Min=0.003    Max=0.08    Delta=-1   
YLabel        LabelStep=7    Reference=-1   LabelHeight=1.00   CFormat="%.3f"

DrawCell XStart=2 YStart=5 Width=8 Height=7

# Cellule 2:
#############################################################

ReadFile      File="DATA/TAUN45_00_30C443" Style=ScatterPlot XColumn=1  YColumn=5

PlotTitle     Title="Bande de latitude 14: N45" Height=1.50
Grid          Frame=Yes   Xgrid=No       Ygrid=No  [Yes | Light | No] 
#ScaleToFrame
LineStyle     Curve=1   Style=NoLine          Color=Red          Thickness=1
MarkStyle     Curve=1   Style=Fcircle         Size=3

XTitle        Title="Jour" Height=1.50
XAxis         Scale=Linear    Min=0    Max=1050  Delta=30  
XLabel        LabelStep=3   Reference=0   LabelHeight=1.00   CFormat="%.f"
YTitle        Title="Epaisseur optique" Height=1.50
YAxis         Scale=Logarithm    Min=0.003    Max=0.08    Delta=-1   
YLabel        LabelStep=7    Reference=-1   LabelHeight=1.00   CFormat="%.3f"

DrawCell XStart=11.5 YStart=5 Width=8 Height=7

# Cellule 3:
#############################################################

ReadFile      File="DATA/TAUN55_00_30C443" Style=ScatterPlot XColumn=1  YColumn=5

PlotTitle     Title="Bande de latitude 15: N55" Height=1.50
Grid          Frame=Yes   Xgrid=No       Ygrid=No  [Yes | Light | No] 
#ScaleToFrame
LineStyle     Curve=1   Style=NoLine          Color=Red          Thickness=1
MarkStyle     Curve=1   Style=Fcircle         Size=3

XTitle        Title="Jour" Height=1.50
XAxis         Scale=Linear    Min=0    Max=1050  Delta=30  
XLabel        LabelStep=3   Reference=0   LabelHeight=1.00   CFormat="%.f"
YTitle        Title="Epaisseur optique" Height=1.50
YAxis         Scale=Logarithm    Min=0.003    Max=0.08    Delta=-1   
YLabel        LabelStep=7    Reference=-1   LabelHeight=1.00   CFormat="%.3f"

DrawCell XStart=2 YStart=12 Width=8 Height=7

# Cellule 4:
#############################################################

ReadFile      File="DATA/TAUN65_00_30C443" Style=ScatterPlot XColumn=1  YColumn=5

PlotTitle     Title="Bande de latitude 16: N65" Height=1.50
Grid          Frame=Yes   Xgrid=No       Ygrid=No  [Yes | Light | No] 
#ScaleToFrame
LineStyle     Curve=1   Style=NoLine          Color=Red          Thickness=1
MarkStyle     Curve=1   Style=Fcircle         Size=3

XTitle        Title="Jour" Height=1.50
XAxis         Scale=Linear    Min=0    Max=1050  Delta=30  
XLabel        LabelStep=3   Reference=0   LabelHeight=1.00   CFormat="%.f"
YTitle        Title="Epaisseur optique" Height=1.50
YAxis         Scale=Logarithm    Min=0.003    Max=0.08    Delta=-1   
YLabel        LabelStep=7    Reference=-1   LabelHeight=1.00   CFormat="%.3f"

DrawCell XStart=11.5 YStart=12 Width=8 Height=7

# Cellule 5:
#############################################################

ReadFile      File="DATA/TAUN75_00_30C443" Style=ScatterPlot XColumn=1  YColumn=5

PlotTitle     Title="Bande de latitude 17: N75" Height=1.50
Grid          Frame=Yes   Xgrid=No       Ygrid=No  [Yes | Light | No] 
#ScaleToFrame
LineStyle     Curve=1   Style=NoLine          Color=Red          Thickness=1
MarkStyle     Curve=1   Style=Fcircle         Size=3

XTitle        Title="Jour" Height=1.50
XAxis         Scale=Linear    Min=0    Max=1050  Delta=30  
XLabel        LabelStep=3   Reference=0   LabelHeight=1.00   CFormat="%.f"
YTitle        Title="Epaisseur optique" Height=1.50
YAxis         Scale=Logarithm    Min=0.003    Max=0.08    Delta=-1   
YLabel        LabelStep=7    Reference=-1   LabelHeight=1.00   CFormat="%.3f"

DrawCell XStart=2. YStart=19 Width=8 Height=7

# Cellule 6:
#############################################################

ReadFile      File="DATA/TAUN85_00_30C443" Style=ScatterPlot XColumn=1  YColumn=5

PlotTitle     Title="Bande de latitude 18: N85" Height=1.50
Grid          Frame=Yes   Xgrid=No       Ygrid=No  [Yes | Light | No] 
#ScaleToFrame
LineStyle     Curve=1   Style=NoLine          Color=Red          Thickness=1
MarkStyle     Curve=1   Style=Fcircle         Size=3

XTitle        Title="Jour" Height=1.50
XAxis         Scale=Linear    Min=0    Max=1050  Delta=30  
XLabel        LabelStep=3   Reference=0   LabelHeight=1.00   CFormat="%.f"
YTitle        Title="Epaisseur optique" Height=1.50
YAxis         Scale=Logarithm    Min=0.003    Max=0.08    Delta=-1   
YLabel        LabelStep=7    Reference=-1   LabelHeight=1.00   CFormat="%.3f"

DrawCell XStart=11.5 YStart=19 Width=8 Height=7

#############################################################

#   ********  Page annotations ********  
PageText    XStart=13.5000  YStart=22.5000   Color=Red  Style=Plain  Height=0.6000  Angle=0.00 Text="PAS DE DONNEES" 
PageText    XStart=6.5000  YStart=3.0000   Color=Red  Style=Plain  Height=0.8000  Angle=0.00 Text="Canal POLDER 443 nm" 
PageText    XStart=5.0000  YStart=4.0000   Color=Red  Style=Plain  Height=0.8000  Angle=0.00 Text="Int\'egration de la tropopause \`a 30 km." 
#   ********  Page annotations: End ********  

SendToFile     File="./OUT/evolution.ps"
#SendToPrinter  Command="/usr/LOA/bin/vidpsINF"  Type=Black&White   Size=19.0000  Copies=1 Orientation=Portrait
