c-----------------------------------------------
c       SHORT PROGRAM:
c       Just draw 4 curves into 4 different windows
c----------------------------
c COMMON VARIABLES:
c    integer Mgraph_no Sequence number of the software;
c                     several Mgraph can be launched at the same time id (several Mgraph can be launched)
c    integer id        Number of window in which the data will be shown (-1=Current)
c    integer color     Number of the color: from 0 to 12:
c                         Red, Blue, Magenta, Black, Green, Forest, Sienna,
c                         Yellow, Coral, Violet, Plum, Cyan, Turquoise
c                         Plum, Cyan,Turquoise
c                     and 16 for the White
c    integer linestyle Style of the line: from 0 to 7:
c                         Solid, NoLine, MicroDash, SmallDash,
c                        Dash, LongDash, DashDot, LineDot
c    integer marker    Style of the marker: from 0 to 15:
c                         NoMark, BigDot, SmallDot, Cross, X, Square,
c                         Diamond, TriangleUp, TriangleDown, Circle
c                         filled: Square, Diamond, TriangleUp, TriangleDown, Circle
c----------------------------------------------

      CHARACTER*(*) LOGIN,SHELL,PROG,PATH,COMPUTER
      CHARACTER*(*) X_FORMULA,Y_FORMULA,DISPLAY
      PARAMETER (LOGIN=" ")
      PARAMETER (SHELL=" ")
      PARAMETER (PATH ="/usr/local/bin/")
      PARAMETER (PROG ="Mgraph_sp")
      PARAMETER (COMPUTER =" ")
      PARAMETER (DISPLAY =" ")
      PARAMETER (X_FORMULA="1/X")
      PARAMETER (Y_FORMULA="sin(x)")

      character*128 text
      real xx(512),yy(512)

c========================================================================================
cSTART MGRAPH_SP MODULE: run_mgraph_f
c       LOGIN:  login name;             if NULL will be the current login
c       SHELL:  "rsh" or "remsh";       if NULL will be  "remsh"
c       PATH :  path where the program is
c       PROG :  name of the program (Mgraph_sp)
c       COMPUTER:       name of the computer where the program has to
c                       be launched;    if NULL will be the server name
c       DISPLAY: Your Display Id;       if NULL will be your DISPLAY address
c                                            from your environment
c========================================================================================

      Mgraph_no = 1
      call run_mgraph_f
     *(Mgraph_no,LOGIN,SHELL,PATH,PROG,COMPUTER,DISPLAY)

      xstep= .30
      ystep= -1.
      idraw= 1
      icolor = 0
      iclear = 0
      istyle = 0
      mark = 0 
      idraw = 1

      nbp =512
c
c 4 curves (iplot_no) into 4 windows (nwindow)
c
      do iplot_no = 1,5
      nwindow = iplot_no

c
c RESIZE THE DRAW WINDOW
c call send_resize_f(client_id,window,width,height)
c   integer width,height     size in pixels
c

      call send_resize_f(Mgraph_no,nwindow,500,400)
c
c SEND THE TITLE
c call send_title_f(client_id,window,title)
c
      write(text,'("sin(x) Window(",i2,")")') nwindow
      call send_title_f(Mgraph_no,nwindow,text)

c
c CHANGE ALL LABEL SIZES
c       call send_labelsize_f(client_id,window,tit,xlab,ylab,xtit,ytit);
c   real tit            size of title
c   real xlab           size of Xaxis labels
c   real ylab           size of Yaxis labels
c   real xtit           size of Xaxis title
c   real ytit           size of Yaxis title
c
      call send_labelsize_f(mgraph_no,nwindow,2.0,2.2,2.3,2.4,2.5)

         do i = 1,nbp
            xx(i) = i * 3.141592 * iplot_no / nbp
            yy(i) = sin(xx(i))
         enddo

c
c SEND DATA ON WINDOW
c    call send_data2_f(client_id,window,clear,plot_nb,nbp,xx,yy,color,style,mark,thickness,marksize)
c    integer plot_nb      Number of the curve (-1 will determine an available one)
c    integer nbp          Number of points in the data
c    real    xx           x    data
c    real    yy           f(x) data
c    integer color
c    integer style
c    integer mark
c    integer thickness
c    integer marksize
c
      call send_data2_f(Mgraph_no,nwindow,iclear,-1,
     &			  nbp,xx,yy,icolor,istyle,mark,idraw,1)
      icolor = icolor + 1
      enddo

c------------------------------------------------
c EXIT_MAIN_PROGRAM
c       before quitting your main program,  call send_end_dialog
c       to keep Mgraph running
c------------------------------------------------

      call send_end_dialog_f(Mgraph_no)
      stop
      end
